## ros-indigo-moveit-msgs 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_msgs)

set(MSG_DEPS
  std_msgs
  actionlib_msgs
  sensor_msgs
  geometry_msgs
  trajectory_msgs
  shape_msgs
  object_recognition_msgs
  octomap_msgs)

find_package(catkin REQUIRED genmsg ${MSG_DEPS})

set(MSG_FILES
AllowedCollisionEntry.msg
AllowedCollisionMatrix.msg
AttachedCollisionObject.msg
BoundingVolume.msg
CollisionObject.msg
ConstraintEvalResult.msg
Constraints.msg
CostSource.msg
ContactInformation.msg
DisplayTrajectory.msg
DisplayRobotState.msg
Grasp.msg
GripperTranslation.msg
JointConstraint.msg
JointLimits.msg
LinkPadding.msg
LinkScale.msg
MotionPlanRequest.msg
MotionPlanResponse.msg
MotionPlanDetailedResponse.msg
MoveItErrorCodes.msg
TrajectoryConstraints.msg
ObjectColor.msg
OrientationConstraint.msg
OrientedBoundingBox.msg
PlaceLocation.msg
PlannerInterfaceDescription.msg
PlanningScene.msg
PlanningSceneComponents.msg
PlanningSceneWorld.msg
PlanningOptions.msg
PositionConstraint.msg
RobotState.msg
RobotTrajectory.msg
VisibilityConstraint.msg
WorkspaceParameters.msg
KinematicSolverInfo.msg
PositionIKRequest.msg
)

set(SRV_FILES
GetMotionPlan.srv
ExecuteKnownTrajectory.srv
GetStateValidity.srv
GetCartesianPath.srv
GetPlanningScene.srv
GraspPlanning.srv
ApplyPlanningScene.srv
QueryPlannerInterfaces.srv
GetConstraintAwarePositionIK.srv
GetKinematicSolverInfo.srv
GetPositionFK.srv
GetPositionIK.srv
SaveMap.srv
LoadMap.srv
SaveRobotStateToWarehouse.srv
ListRobotStatesInWarehouse.srv
GetRobotStateFromWarehouse.srv
CheckIfRobotStateExistsInWarehouse.srv
RenameRobotStateInWarehouse.srv
DeleteRobotStateFromWarehouse.srv
)

set(ACT_FILES
ExecuteTrajectory.action
MoveGroup.action
Pickup.action
Place.action
)

add_action_files(DIRECTORY action FILES ${ACT_FILES})
add_message_files(DIRECTORY msg FILES ${MSG_FILES})
add_service_files(DIRECTORY srv FILES ${SRV_FILES})

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(DEPENDS ${MSG_DEPS})

=== debian/changelog ===
ros-indigo-moveit-msgs (0.7.5-0trusty) trusty; urgency=high

  * [capability] new GraspPlanning service to replace manipulation_msgs version (#32 <https://github.com/ros-planning/moveit_msgs/issues/32>)
  * [maintenance] Switch travis to moveit_ci (#31 <https://github.com/ros-planning/moveit_msgs/issues/31>)
  * [enhancement] Add note in ExecuteKnownTrajectory service to recommend ExecuteTrajectory action. #29 <https://github.com/ros-planning/moveit_msgs/issues/29>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Jntzko

 -- Dave Coleman <dave@dav.ee>  Tue, 15 Nov 2016 08:00:00 -0000

ros-indigo-moveit-msgs (0.7.4-0trusty) trusty; urgency=high

  * [fix] broken maintainer tags (#28 <https://github.com/ros-planning/moveit_msgs/issues/28>)
  * Contributors: Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Mon, 22 Aug 2016 07:00:00 -0000

ros-indigo-moveit-msgs (0.7.3-0trusty) trusty; urgency=high

  * Add ExecuteTrajectory.action for execution trajectory in a ROS action (#24 <https://github.com/ros-planning/moveit_msgs/issues/24>), (#27 <https://github.com/ros-planning/moveit_msgs/issues/27>)
  * [fix] Update maintainers. Bad encoding. #26 <https://github.com/ros-planning/moveit_msgs/issues/26>
  * Contributors: Kentaro Wada, Isaac I.Y. Saito

 -- Dave Coleman <dave@dav.ee>  Sat, 20 Aug 2016 07:00:00 -0000

ros-indigo-moveit-msgs (0.7.2-0trusty) trusty; urgency=high

  * [feat] add new srv ApplyPlanningScene #21 <https://github.com/ros-planning/moveit_msgs/issues/21>
    This service takes a PlanningScene message and applies it to the monitored scene. Ideally it should include a bool success field, but it is not possible to apply the scene and check for success without ABI changes, so leave it out for now. To get this change pushed to indigo.
  * [feat] apply_planning_scene: add a success field in response
    This will be set to true in indigo, but might return false in kinetic and upcoming after we broke the underlying API to get that information.
  * Contributors: Dave Coleman, Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Wed, 15 Jun 2016 07:00:00 -0000

ros-indigo-moveit-msgs (0.7.1-0trusty) trusty; urgency=high

  * Adding acceleration scaling factor #17 <https://github.com/ros-planning/moveit_msgs/issues/17>
  * Contributors: Dave Coleman, hemes

 -- Ioan Sucan <isucan@google.com>  Wed, 13 Apr 2016 07:00:00 -0000

ros-indigo-moveit-msgs (0.7.0-0trusty) trusty; urgency=high

  * add db state
  * added services for delete and rename
  * added services for warehouse access
  * Contributors: Sachin Chitta, dg

 -- Ioan Sucan <isucan@google.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-msgs (0.6.1-0trusty) trusty; urgency=high

  * Add max_velocity_scaling_factor to MotionPlanRequest.
  * Contributors: Michael Ferguson, kohlbrecher

 -- Ioan Sucan <isucan@google.com>  Thu, 08 Jan 2015 08:00:00 -0000

ros-indigo-moveit-msgs (0.5.4-0trusty) trusty; urgency=high

  * update e-mail addresses
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@google.com>  Mon, 10 Mar 2014 07:00:00 -0000

ros-indigo-moveit-msgs (0.5.3-0trusty) trusty; urgency=high

  * Added some verbose explanatory comments to Grasp message.
  * Added planning time to move group action result.

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 03 Dec 2013 08:00:00 -0000

ros-indigo-moveit-msgs (0.5.2-0trusty) trusty; urgency=high

  * add diff flag for RobotState
  * add option for how place positions are interpreted: object pose or eef pose
  * no longer depend on manipulation_msgs

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 23 Sep 2013 07:00:00 -0000

ros-indigo-moveit-msgs (0.5.1-0trusty) trusty; urgency=high

  * remove CollisionMap message

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 13 Aug 2013 07:00:00 -0000

ros-indigo-moveit-msgs (0.5.0-0trusty) trusty; urgency=high

  * move msgs to common_msgs
  * removing unneeded member

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 15 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-moveit-msgs
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-object-recognition-msgs, ros-indigo-octomap-msgs, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-object-recognition-msgs, ros-indigo-octomap-msgs, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: Messages, services and actions used by MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
